Weblogic JMS, Camel Integration Project
========================================================

The aim of the project is to port to OSGi runtime a set of Integration Camel Routes.
The main issue is about OSGi compliance of Weblogic JMS driver, basically what has been described in:
- https://access.redhat.com/support/cases/#/case/01605533
- https://issues.jboss.org/browse/ENTESB-1567
- https://issues.jboss.org/browse/ENTESB-3699

Solution/Workaround
-------------------

The solution is based on:
- Force the weblogic driver to use the correct classloader by reimplementing the spring class used to load the driver in: com.mycompany.weblogicJNDI.JndiObjectFactoryBean
- Be sure that weblogic wrapped bundle doesn't export javax.* package by: osgi:install wrap:file://<projecthome>/wlthint3client.jar,file://wlthint3client.bnd/wlthint3client.bnd 
and in particular the setting in wlthint3client.bnd.

Build instructions
------------------

1. To build this project be sure to have maven 3.x installed and from the <projecthome> directory run:
    mvn -s ./settings.xml clean install

2. To deploy the example to JBoss Fuse 6.2.1 container. You will run the following command from karaf shell:
    features:install activemq-camel
    osgi:install -s wrap:mvn:antlr/antlr/2.7.7
    osgi:install -s wrap:file://<projecthome>/wlthint3client.jar
    osgi:install -s mvn:com.mycompany/weblogicJNDI/1.0.0-SNAPSHOT

